// Задача: по нажатию кнопки включить два диода, по второму нажатию выключить один диод с задержкой
#include "OneButton.h"

 unsigned long currentTime;  //

typedef enum {
  ACTION_OFF,  // set LED "OFF".
  ACTION_ON,   // set LED "ON"
  } 
MyActions; 
OneButton button(A1, true);
int pin_Led = 4;
int pin_Ven = 7;
MyActions nextAction = ACTION_OFF; //  действия при запуске отсутствуют

void setup() {
  
  pinMode (pin_Led, OUTPUT); 
  pinMode (pin_Ven, OUTPUT); 
  button.attachClick(myClickFunction);  
  button.setDebounceTicks(80);
  currentTime = millis();       // считываем время, прошедшее с момента запуска программы
 }
 
void loop() {
  button.tick(); 
  
  if (nextAction == ACTION_OFF) {  
     currentTime = millis();                     // зафиксил время отсчёта
   digitalWrite (pin_Led, LOW);                   // погасил первый диод
   if(millis()- currentTime >=  10000){           // выждал 10 секунд
  digitalWrite (pin_Ven, !digitalRead (pin_Ven)); // Почему не гаснет?!
  } 
  
  } else if (nextAction == ACTION_ON) {
  digitalWrite (pin_Led, HIGH);
  digitalWrite (pin_Ven, HIGH);  
  }
            } 

void myClickFunction() {
  if (nextAction == ACTION_OFF)
    nextAction = ACTION_ON;
  else
    nextAction = ACTION_OFF;
} 
